# coding=utf-8

from django.conf.urls import url, include
from rest_framework.routers import SimpleRouter

from .views import *

urlpatterns = [
    url(r'^login/$', TenantLoginView.as_view()),
    url(r'^token_refresh/$', TenantRefreshTokenView.as_view()),
    url(r'^token_verify/$', TenantVerifyTokenView.as_view()),

    url(r'^area/', include('apps.tenant.area.urls')),
    url(r'^permission/', include('apps.tenant.permissions.urls')),
    url(r'^employee/', include('apps.tenant.employee.urls')),
    url(r'^option/', include('apps.tenant.option.urls')),
    # url(r'^config/', include('apps.tenant.config.urls')),
    url(r'^building/', include('apps.tenant.building.urls')),
    url(r'^repair_order/', include('apps.tenant.repair_order.urls')),
    url(r'^inspection_order/', include('apps.tenant.inspection_order.urls')),
    url(r'^wxapp/', include('apps.wxapp.urls')),
    url(r'^equipment/', include('apps.tenant.equipment.urls')),
    url(r'^device/', include('apps.tenant.device.urls')),
    url(r'^notices/', include('apps.tenant.notices.urls')),
]


router = SimpleRouter()
router.register(r'company', CompanyViewSet)
urlpatterns += router.urls
